from setuptools import setup, find_packages

setup(
    name="renacord",  # Nombre del paquete
    version="0.1.0",  # Versión del paquete
    author="ProjectGD, Deadmoon",  # Tu nombre o el de tu organización
    author_email="thedeadmoons@gmail.com",  # Tu correo electrónico
    description="Una librería simplificada para crear bots de Discord.",  # Descripción corta
    long_description=open("README.md").read(),  # Descripción larga (lee el README.md)
    long_description_content_type="text/markdown",  # Tipo de contenido de la descripción larga
    url="https://github.com/renateam/renacord",  # URL del repositorio
    packages=find_packages(),  # Encuentra automáticamente los paquetes
    install_requires=[  # Dependencias necesarias
        "aiohttp>=3.8.0",
        "colorama>=0.4.0",
    ],
    classifiers=[  # Clasificadores para PyPI
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.8",  # Versión mínima de Python requerida
)